﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadGrid_Client_Binding_GridDateTimeColumn.aspx.cs" Inherits="RadGrid_Client_Binding_GridDateTimeColumn" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">

        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>

        <script type="text/javascript">
            function formatDate(dateToFormat) {

                var date = parseDate(dateToFormat);

                debugger;
                // https://docs.telerik.com/kendo-ui/api/javascript/kendo/methods/tostring
                return kendo.toString(date, "MM/dd/yyyy hh:mm:ss tt"); // format the date
            }
            function parseDate(dateToParse) {
                // return JavaScript Date Object from "/Date(1534946374580)/"
                return new Date(parseInt(dateToParse.replace("/Date(", "").replace(")/", ""), 10));
            }
        </script>

        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        </telerik:RadAjaxManager>

        <telerik:RadGrid ID="RadGrid1" runat="server" AllowPaging="True" AllowSorting="true" Width="800px" ClientDataSourceID="RadClientDataSource1">
            <MasterTableView AutoGenerateColumns="False" DataKeyNames="OrderID" ClientDataKeyNames="OrderID" EditMode="Batch">
                <Columns>
                    <telerik:GridTemplateColumn DataField="OrderDate" SortExpression="OrderDate" HeaderText="Start Date/Time" UniqueName="TemplateColumn1" DataType="System.DateTime">
                        <ClientItemTemplate>
                            <span>#=formatDate(OrderDate)#</span>
                        </ClientItemTemplate>
                        <EditItemTemplate>
                            <telerik:RadDateTimePicker RenderMode="Lightweight" ID="picker1" runat="server">
                            </telerik:RadDateTimePicker>
                        </EditItemTemplate>
                    </telerik:GridTemplateColumn>

                    <telerik:GridDateTimeColumn DataField="OrderDate" HeaderText="DateTimeColumns">
                    </telerik:GridDateTimeColumn>
                </Columns>
            </MasterTableView>
        </telerik:RadGrid>

        <telerik:RadClientDataSource ID="RadClientDataSource1" runat="server" EnableServerPaging="true" EnableServerSorting="true" AllowPaging="true">
            <DataSource>
                <DataSourceControlSettings DataSourceID="SqlDataSource1"
                    DataKeyNames="OrderID" DataFields="OrderID, ShipName, ShipCountry, OrderDate"
                    AllowAutomaticDeletes="false" AllowAutomaticInserts="false" AllowAutomaticUpdates="true" />
            </DataSource>
            <Schema>
                <Model ID="OrderID">
                    <telerik:ClientDataSourceModelField DataType="Number" FieldName="OrderID" />
                    <telerik:ClientDataSourceModelField DataType="String" FieldName="ShipName" />
                    <telerik:ClientDataSourceModelField DataType="String" FieldName="ShipCountry" />
                    <telerik:ClientDataSourceModelField DataType="Date" FieldName="OrderDate" />
                </Model>
            </Schema>
        </telerik:RadClientDataSource>

        <asp:SqlDataSource
            ID="SqlDataSource1"
            runat="server"
            ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString%>"
            SelectCommand="SELECT * FROM Orders"></asp:SqlDataSource>

    </form>
</body>
</html>
